import linuxcnc
import os
import hal
import hal_glib

#16oct runs well easy to see   bar
# TDOD increase he numbers size, maybe thru the .ui file or  hal  dunno

# 11oct2021 tjp note   a new pin are created for stock glade vbad
# these pins can set the max-value and min_value for vbar
# the values for max and min are floats  representign (hopefully ) the print dimension (depth)
#  and retract allowance ( usually above the stock, maybe use the clear plane )

class HandlerClass:

        def _on_max_value_change(self,hal_pin,data=None):
                self.posn.max = float(hal_pin.get())
                self.posn.queue_draw() # force a widget redraw

        def _on_min_value_change(self,hal_pin,data=None):
                self.posn.min = float(hal_pin.get())
                self.posn.queue_draw() # force a widget redraw

        def __init__(self, halcomp,builder,useropts):
                self.builder = builder
                self.max_value = hal_glib.GPin(halcomp.newpin('posn-retracted',  hal.HAL_FLOAT, hal.HAL_IN))
                self.max_value.connect('value-changed', self._on_max_value_change)
                self.min_value = hal_glib.GPin(halcomp.newpin('posn-end',  hal.HAL_FLOAT, hal.HAL_IN))
                self.min_value.connect('value-changed', self._on_min_value_change)
                mmax = float( 100.0)
                self.posn = self.builder.get_object('posn')
                self.max_value.set(mmax)
                mmin = float( -100.0)
                self.min_value.set(mmin)

def get_handlers(halcomp,builder,useropts):
        return [HandlerClass(halcomp,builder,useropts)]

